Skip to main content
Version: v1.0.0(int)

E159: Delete order channel

DELETE /api/order-channels/:id

Removes a channel that no SO references. Triggered from Settings, Order channels.

Authentication​

Standard tenant route. Requires Authorization: Bearer <firebase-id-token> and X-Org-Id: <org-id>. Access: Admin.

Request​

No body.

Response — 200 OK​

{ "deletedId": "uuid" }

Echo of the deleted channel's id.

Errors​

HTTPcodeCondition
404not_foundNo such channel.
409in_useOne or more SOs reference this channel.

Workflow​

Calls W159 Delete order channel.